<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class CouponTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('coupons')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'coupon.coupons.view',
                'name'      => 'View Coupons',
            ],
            [
                'slug'      => 'coupon.coupons.create',
                'name'      => 'Create Coupons',
            ],
            [
                'slug'      => 'coupon.coupons.edit',
                'name'      => 'Update Coupons',
            ],
            [
                'slug'      => 'coupon.coupons.delete',
                'name'      => 'Delete Coupons',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/coupon/coupons',
                'name'        => 'Coupons',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/coupon/coupons',
                'name'        => 'Coupons',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'coupons',
                'name'        => 'Coupons',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Coupon',
                'module'    => 'Coupons',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'coupon.coupons.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
