<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for coupons in coupon package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  coupons module in coupon package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Coupons',
    'names'         => 'Coupons',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Coupons',
        'sub'   => 'Coupons',
        'list'  => 'List of coupons',
        'edit'  => 'Edit coupons',
        'create'    => 'Create new coupons'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'coupon_status'       => [Active,Inactive,Used],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'coupon_code'                => 'Enter Coupon Code',
        'discount'                   => 'Enter Discount',
        'start_date'                 => '',
        'end_date'                   => '',
        'coupon_limit'               => '',
        'coupon_status'              => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'coupon_code'                => 'Coupon Code',
        'discount'                   => 'Discount',
        'start_date'                 => 'Start Date',
        'end_date'                   => 'End Date',
        'coupon_limit'               => 'Coupon Limit',
        'coupon_status'              => 'Coupon Status',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'coupon_code'                => ['name' => 'Coupon Code', 'data-column' => 1, 'checked'],
        'discount'                   => ['name' => 'Discount', 'data-column' => 2, 'checked'],
        'start_date'                 => ['name' => 'Start Date', 'data-column' => 3, 'checked'],
        'end_date'                   => ['name' => 'End Date', 'data-column' => 4, 'checked'],
        'coupon_limit'               => ['name' => 'Coupon Limit', 'data-column' => 5, 'checked'],
        'coupon_status'              => ['name' => 'Coupon Status', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Coupons',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
