<?php

namespace Litecms\Coupon\Repositories\Eloquent;

use Litecms\Coupon\Interfaces\CouponsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CouponsRepository extends BaseRepository implements CouponsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.coupon.coupons.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.coupon.coupons.model.model');
    }
}
